Skip to main content
`Ctrl`+`K`

# PetscFree7

Frees 7 chunks of memory obtained with `PetscMalloc7()`

## Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscFree7(void *m1,void *m2,void *m3,void *m4,void *m5,void *m6,void *m7)

Not Collective

## Input Parameters

- m1 - memory to free

- m2 - 2nd memory to free

- m3 - 3rd memory to free

- m4 - 4th memory to free

- m5 - 5th memory to free

- m6 - 6th memory to free

- m7 - 7th memory to free

## Notes

Memory must have been obtained with `PetscMalloc7()`

The arguments need to be in the same order as they were in the call to `PetscMalloc7()`

## See Also

`PetscNew()`, `PetscMalloc()`, `PetscMalloc2()`, `PetscFree()`, `PetscMalloc3()`, `PetscMalloc4()`, `PetscMalloc5()`, `PetscMalloc6()`, `PetscMalloc7()`

## Level

developer

## Location

include/petscsys.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages